### Method

# GUPnP ServiceAction get_locales

#### Declaration [src]

    GList*
    gupnp_service_action_get_locales (
      GUPnPServiceAction* action
    )

#### Description [src]

Get an ordered (preferred first) `GList` of locales preferred by the client. Free list and elements after use.

#### Return value

Returns: | A list of `utf8`
| A `GList` of #char* locale names.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| Each element is a NUL terminated UTF-8 string.